DIR(3)

PACKAGE
dir - Routines to scan directories

PURPOSE
These routines are meant to provide an enhanced, portable method for scanning directories and automatically obtaining file status information.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

dir_open
    Open a directory for reading (scanning).

dir_read
    Read (scan) a directory for files.

dir_get_size
    Find number of entries in a directory.

dir_close
    Close a directory.

dir_rewind
    Rewind a directory.

TABLE dir_SKIP_VALUES
List of defined skip control values
Mode Meaning
KDIR_DOT Pass ".", skip ".."
KDIR_DOTDOT Pass "..", skip "."
KDIR_DOT_AND_DOTDOT Pass "." and ".."
KDIR_NO_DOTS Skip "." and ".."

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/